Bug 198285 - Review Request: python-simplejson - Simple, fast, extensible JSON encoder/decoder for Python
Review Request: python-simplejson - Simple, fast, extensible JSON encoder/dec...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 189338
  Show dependency treegraph
 
Reported: 2006-07-10 16:44 EDT by Luke Macken
Modified: 2016-09-19 22:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-14 16:06:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2006-07-10 16:44:44 EDT
Spec URL: http://people.redhat.com/lmacken/python-simplejson.spec
SRPM URL: http://people.redhat.com/lmacken/python-simplejson-1.3-1.src.rpm
Description:
simplejson is a simple, fast, complete, correct and extensible
JSON <http://json.org> encoder and decoder for Python 2.3+.  It is
pure Python code with no dependencies.

simplejson was formerly known as simple_json, but changed its name to
comply with PEP 8 module naming guidelines.

The encoder may be subclassed to provide serialization in any kind of
situation, without any special support by the objects to be serialized
(somewhat like pickle).

The decoder can handle incoming JSON strings of any specified encoding
(UTF-8 by default).
Comment 1 Jason Tibbitts 2006-07-11 18:51:19 EDT
I'm not terribly well-versed in Python, but this looks to violate the guidelines:

Python packages that use setuptools need to add python-setuptools as a
BuildRequires and must either add --single-version-externally-managed to the
line invoking setup.py in %install, or must add a .pth file containing the path
to the egg or egg directory to %{python_sitelib}.

I don't believe either of those are being done.  In addition:

E: python-simplejson zero-length
/usr/lib/python2.4/site-packages/simplejson-1.3-py2.4.egg-info/zip-safe

In general the packaging here looks odd.  Why is the test suite included in the
installed module, but not called at all by a %check section in the spec?  What
about the contents of
/usr/lib/python2.4/site-packages/simplejson-1.3-py2.4.egg-info?  Shouldn't this
all be %doc, if it must be installed at all?
Comment 2 Luke Macken 2006-07-12 12:38:19 EDT
http://people.redhat.com/lmacken/python-simplejson-1.3-2.src.rpm
http://people.redhat.com/lmacken/python-simplejson.spec

Added --single-version-externally-managed flag to setup.py install.

The tests in the package all import the module itself, and are not setup to be
run from the command line, so I think it would require way too much hassle
(patches or much %{__python} -c uglyness) to deal with to get them running.

As for the egg-info directory, I don't believe there is any policy on this, and
every other python module I've seen packages up the directory and ignores the
empty file warnings.
Comment 3 John Mahowald 2006-08-14 14:00:44 EDT
rpmlint still says

E: python-simplejson zero-length
/usr/lib/python2.4/site-packages/simplejson-1.3-py2.4.egg-info/zip-safe

I agree it can be ignored.

Good:
+ sitelib macro
+ source matches
+ license (MIT)
+ mock builds on devel x86_64
+ proper %clean section
+ macro usage throughout
+ noarch

APPROVED
Comment 4 Luke Macken 2006-08-14 16:06:30 EDT
Imported to CVS, added to owners.list, FC-5 branch requested, tagged and built
for devel.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.